  /*  swiper btn common style  */

  .swiper-pagination-bullet-active {
    background-color: #333333;
  }
  .swiper-button-next, 
  .swiper-button-prev {
    position: absolute;
  }

  .swiper-button-next:after,  
  .swiper-button-prev:after {
    width: 90%;
    height: 90%;
    font-size: 1rem;
  }

  .swiper-button-next:hover,
  .swiper-button-prev:hover {
    opacity: 1;
    transition: all 0.3s ease;
  }

  .swiper-button-disabled {
    opacity: .3;
  }

  .swiper-button-next:after {
    margin: auto;
    content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'%3E%3Cpath fill='currentColor' d='M754.752 480H160a32 32 0 1 0 0 64h594.752L521.344 777.344a32 32 0 0 0 45.312 45.312l288-288a32 32 0 0 0 0-45.312l-288-288a32 32 0 1 0-45.312 45.312z'/%3E%3C/svg%3E");
  }

  .swiper-button-prev:after {
    margin: auto;
    transform: rotate(180deg);
    transform-origin: center;
    content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'%3E%3Cpath fill='currentColor' d='M754.752 480H160a32 32 0 1 0 0 64h594.752L521.344 777.344a32 32 0 0 0 45.312 45.312l288-288a32 32 0 0 0 0-45.312l-288-288a32 32 0 1 0-45.312 45.312z'/%3E%3C/svg%3E");
  }

  
.main-app {
  opacity: 0;
  transition: opacity 0.4s ease;
}

.appLayout {
  z-index: inherit;
}


#shareRule li {
  line-height: 2em;
}

.text-blue {
  color: var(--pwBlue);
}

/* .business-head {
  background-image: url(/images/homepage/business_head.jpg);
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
  position: relative;
  box-shadow: 0px 2px 10px #000000a6;
} */

.business-head {
  display: flex;
  gap: 1rem;
  margin-top: 2rem;
  position: relative;
  margin-bottom: 5rem;
}

.business-head .info {
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  max-width: 650px;
  justify-content: center;
}

.business-head .info > span {
  font-size: 3.5em;
  letter-spacing: 2px;
  font-weight: 400;
}

.business-head .info > h1 {
  font-size: 1.2rem;
}

.business-head > img {
  max-width: 45%;
  object-fit: cover;
  border-radius: 22rem 0rem 0rem 22rem;
  box-shadow: 0px 40px 40px 0px #00000033;
}

div.patents {
  background-color: var(--pwLightGray);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 1.5rem;
  font-size: 1.1rem;
  line-height: 2;
}

.services {
  padding: 4em 0 4em;
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-row: auto;
  gap: 2vw;
}

.services-head {
  grid-column: span 2;
  text-align: center;
  justify-content: center;
  align-items: flex-end;
  display: flex;
  gap: 1rem;
}

.services-head span {
  width: fit-content;
  display: inline;
  font-size: 3.5em;
  letter-spacing: 2px;
  margin-bottom: 0;
}

.services-head h2 {
  line-height: 1.5;
  font-size: 1rem;
}

.services-card-group {
  grid-column: span 2;
  display: grid;
  grid-gap: 1rem;
  grid-template-columns: repeat(2, 1fr);
  grid-auto-rows: minmax(100px, auto); 
  height: auto;
}

.services-card-group .left-col {
  display: flex;
  flex-direction: column;
  padding-bottom: 0rem;
  gap: 1rem;
}

.services-card-group .right-col {
  display: flex;
  flex-direction: column;
  padding-top: 6rem;
  gap: 1rem;
}


.services .services-card {
  position: relative;
  display: flex;
  gap: 4vw;
}

.services-card.hasVideos {
  grid-column: span 2;
  border-radius: 1rem;
  padding: 1rem;
  background-color: var(--pwLightGray);
}

.services-card.hasVideos .swiper-slide {
  flex-shrink: 1;
  width: auto;
  height: auto;
}

.services-desc {
  display: flex;
  width: 100%;
  flex-direction: column;
  gap: 1rem;
  color: #444;
  text-shadow: 0 0 1px #4444;
  padding: 2em;
  border-radius:1rem;
  background-color: var(--pwLightGray);
}

.services-desc .title {
  display: flex;
  align-items: center;
  justify-content: space-between;
  text-align: left;
  gap: 1rem;
  width: 100%;
}

.services-desc .title a {
  color: white;
}

.services-desc h3 {
  font-size: clamp(1.8rem, 3vw, 2rem);
  color: black;
  font-weight: normal;
  width: fit-content;
  margin-bottom: 0;
}

.services-desc > p {
  line-height: 1.8em;
  text-align: justify;
}

.services-desc .services-img {
  width: 100%;
  margin: 0 auto;
}

.services-desc .services-img img {
  width: 100%;
  max-height: 320px;
  aspect-ratio: 480/320;
  object-fit: cover;
  border-radius: 10px;
  box-shadow: 0px 20px 20px 0px #00000040;
}

.services-desc .btn_more {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  display: flex;
  flex-shrink: 0;
  justify-content: center;
  align-items: center;
  background-color: black;
  color:white;
}

.services-video {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 2rem;
  padding: 0 1rem;
}

.services-video .video-item {
  display: flex;
  justify-content: flex-end;
  gap: 1.5rem;
  align-items: center;
  position: relative;
}

.services-video .video-item h6 {
  color: var(--pwBlue);
}

.video-img {
  cursor: pointer;
  width: 100%;
  margin: 0 auto;
  /* margin-bottom: 2rem; */
  position: relative;
  overflow: hidden;
  border-radius: 10px;
}

.video-img::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  background: #0000001A;
  border-radius: 10px;
  pointer-events: none;
}

.video-img > img {
  width: 100%;
  max-width: 260px;
  object-fit: cover;
  border-radius: 10px;
  box-shadow: 0px 20px 20px 0px #00000040;
}

.video-img .play_icon {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  animation-name: play-shining;
  animation-duration: 1s;
  animation-timing-function: ease-out;
  animation-iteration-count: infinite;
  animation-direction: alternate;
}

@keyframes play-shining {
  0% {
    opacity: 0.6;
  }

  100% {
    opacity: 1;
  }
}

.services-ratio-img > .play_icon {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  animation-name: play-shining;
  animation-duration: 1s;
  animation-timing-function: ease-out;
  animation-iteration-count: infinite;
  animation-direction: alternate;
}

.row-reverse {
  flex-direction: row-reverse;
}

section.cooperation {
  background-color:rgba(0, 0, 0, 0.4);
  color: #fff;
  padding: 5em 0;
  transition: background-color .3s ease;
  -webkit-transform: translateZ(0);
}

section.cooperation:hover,
section.cooperation.hover {
  background-color:rgba(0, 0, 0, 0.8);
}

.cooperation .content {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  width: 100%;
  gap:0;
  height: auto;
}

.cooperation-item {
  background-image: var(--bg-img);
  background-repeat: no-repeat;
  background-size: 100% 100%;
  width: 100%;
  height: 100%;
  aspect-ratio: 280 / 400;
  display: flex;
  padding: 1rem;
  padding-bottom: 3rem;
  flex-direction: column;
  align-items: center;
  text-align: left;
  position: relative;
  background-position: center;
  transition: background-size 0.3s ease;
}

.cooperation-item:hover {
  background-size: 110% 110%;
  background-image: linear-gradient(rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)), var(--bg-img);
}

.cooperation-item h4 {
  letter-spacing: 2px;
  font-weight: semibold;
}

.cooperation-item p {
  letter-spacing: 1px;
  /* text-align: justify; */
  font-size:14px;
  margin-bottom: 0;
}

.cooperation-item a {
  position: absolute;
  left: 50%;
  bottom: 1rem;
  width: 100%;
  transform: translateX(-50%);
  color: white;
  font-weight: bold;
  text-decoration: underline;
  text-underline-offset: 3px;
}

/* grade */

.grade {
  position: relative;
  background-color: #fff;
  padding-top: 80px;
  /* border-top: solid 10px #dadada; */
}

.grade > h1 {
  font-weight: 1000;
  color: #194380;
  transform: translate(0, -50%);
  font-size: 3em;
}

.grade-wrapper {
  display: grid;
  width: 100%;
  grid-template-columns: repeat(auto-fill, minmax(262px, 1fr));
  gap: 1.5rem;
  padding-top: 2rem;
}

a.grades-more-btn {
  color: var(--pwGray);
  padding: 0.8rem 1.2rem;
  margin-left: auto;
  cursor: pointer;
  width: auto;
  border-radius: 2rem;
  height: 100%;
  border: 1px solid lightgray;
  transition: all 0.2s ease-out;
}

a.grades-more-btn:hover {
  transition: all 0.2s ease-out;
  color: white;
  background-color: var(--pwGray);
}

.grade-item {
  width: 100%;
  height: 100%;
  display: flex;
  background-position: center center;
  background-size: cover;
  border-radius: 12px;
  aspect-ratio: 1/1;
}

.grade-wrapper a:nth-child(even){
  padding-top: 2.5rem;
}

.grade-wrapper a:nth-child(odd){
  padding-bottom: 2.5rem;
}

.grade-image > img {
  position: relative;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.grade-content {
  position: relative;
  margin: auto 0 0 auto;
  width: 88%;
  padding: .8rem 1rem;
  background-color: white;
  color: black;
  border-top-left-radius: 12px;
}

.grade-content::before {
  content: '';
  position: absolute;
  width: 12px;
  height: 12px;
  background-color: white; 
  bottom: 0;
  right: 100%;
  clip-path: path('M0 12H12V0C12 6.62742 6.62742 12 0 12Z');
}

.grade-content::after {
  content: '';
  position: absolute;
  width: 12px;
  height: 12px;
  background-color: white; 
  bottom: 100%;
  right: 0;
  clip-path: path('M0 12H12V0C12 6.62742 6.62742 12 0 12Z');
}

/* brands */

section#brands {
  overflow-x: hidden;
  margin: 0vh 0;
  padding-top: 4rem;
}

section#brands h1 {
  font-weight: 1000;
  color: #194380;
  transform: translate(0, -50%);
  font-size: 3em;
}

.swiper.sw_logo {
  width: 100%;
}

.swiper-button-next.sw_logo_btn,
.swiper-button-prev.sw_logo_btn {
  font-weight: 200;
  border: 1px solid #E2E4E6;
  background: white;
  border-radius: 50%;
  padding: 5px;
  top: 50%;
  bottom: 1rem;
  width: clamp(2rem, 4vw, 4rem);
  height: clamp(2rem, 4vw, 4rem);
  padding: 5px;
  /* opacity: .8; */
  transition: all 0.3s ease;
}

.swiper-button-next.sw_logo_btn {
  left:90%;
}

.swiper-button-prev.sw_logo_btn {
  right: 90%;
  left: auto;
}

.logos_container {
  display: flex;
  width: 84%;
  margin: auto;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.logos_container img {
  display: block;
  aspect-ratio: 16/9;
  width: 13vw;
  max-width: 200px;
  margin: 8px;
  object-fit: contain;
}

.contact .container {
  display: flex;
  gap:4em;
}

.contact a {
  color: #f3f9f0;
  transition: color 0.4s ease;
}

.contact a:hover,
.contact a:focus,
.contact a:active {
  color: #cfffcd;
  text-decoration: none;
}

.contact-content {
  width:100%;
}

.contact .contact-head {  
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  text-align: left;
  max-width: fit-content;
  gap:0;
  width:100%;
}

.contact-body-info {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.contact-body-info li {
  line-height: 2em;
}

.head-text {
  margin: 0;
}

.price-text {
  color: #003cad;
}

.type-text {
  color: #2d6d8e;
}

.nav-btns {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.aside_btns {
  display: flex;
  gap: 14px;
  padding: 0 0 0 1rem;
  flex-direction: column;
  position: fixed;
  font-weight: 400;
  top: 14rem;
  left: 0;
  transition: 0.3s all ease;
  z-index: 1;
}

.aside_btns a {
  border-left: 4px solid #a89d9d5c;
  color: var(--grey-5);
  padding: 3px 0 3px 0.5rem;
  font-size: 14px;
  transition: 0.3s all ease;
}

.aside_btns a.wh.active {
  border-color: white;
  color: white;
  font-weight: 500;
}

.aside_btns a.bk.active {
  border-color: var(--pwGray);
  color: var(--pwGray);
  font-weight: 500;
}

@media screen and (max-width: 1024px) {

  .services-desc {
    align-items: center !important;
    height: initial;
    padding: 2em 2em 0;
  }

  .grade-title {
    left: 50%;
    transform: translate(-50%, -70%);
    font-size: 1em;
  }

  a.grade-div {
    width: 90%;
    padding-top: 90%;
  }

  .grade-content .detail-btn {
    display: none;
  }

  .cooperation-head > p {
    padding: 0 2em;
    text-align: center;
  }

  .cooperation-item {
	background-image: linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)), var(--bg-img);
    padding: 0 1.5em;
  }

  .contact-body-info {
    padding: 0 2em 2em;
  }

  .nav-btns {
    flex-direction: row;
    flex-wrap: wrap;
    padding: 0 1em;
  }

  .nav-btns a {
    display: block;
    margin-top: 0.5em;
    width: 44%;
  }

  .nav-btns a.team_building {
    width: 93%;
  }
}

@media screen and (max-width: 768px) {

  .services-video .swiper-pagination {
    bottom: 0;
  }

  div.patents small {
    font-size: 65%;
  }

  .business-head {
    flex-direction: column;
    margin-bottom: 1rem;
  }
  
  .business-head .info > span {
	font-size: 2.5em;
  }

  .business-head .info > h1 {
	 font-size: 1.5rem;
  }

  .business-head > img {
    max-width: 100%;
    aspect-ratio: 374/190;
  }

  .business-head p,
  .business-head span {
    font-size: 14px;
  }

  .services {
    padding: 4em 0 4em;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto;
    gap: 2rem;
  }

  .services-head {
    grid-column: span 2;
    display: flex;
    gap: 0;
    flex-direction: column;
    align-items: center;
  }

  section.patents {
    font-size: 14px;
    padding: 2rem;
  }
  
  .services-head span {
    font-size: 2.5em;
  }

  .services-head h2 {
    font-size: 1.5rem;
  }

  .services-card-group {
    display: flex;
    flex-direction: column;
  }

  .services-card-group .left-col,
  .services-card-group .right-col {
    padding: 0;
  }

  .services .services-card .services-desc {
    background-color: white;
  }

  .services-card,
  .services-card.hasVideos {
    grid-column: span 2;
    display: flex;
    flex-direction: column;
    margin-top: 0;
    border-radius: none;
    border-top: 1px solid #F2F4F6;
    background-color: white;
    padding: 1rem 0;
  }

  .services-card.hasVideos {
    margin-bottom: 0rem;
  }

  .services-video {
    flex-direction: row;
    gap:0;
    justify-content: initial;
    padding:0;
  }

  .services-card.hasVideos .swiper-slide {
    flex-shrink: 0;
    width: 100%;
    height: 100%;
  }

  .swiper-button-next.sw_service_btn,
  .swiper-button-prev.sw_service_btn {
    font-weight: 200;
    border: 1px solid var(--pwGray);
    background: white;
    border-radius: 50%;
    padding: 5px;
    top: 50%;
    transform: translateY(100%);
    width: clamp(2rem, 4vw, 4rem);
    height: clamp(2rem, 4vw, 4rem);
    transition: all 0.3s ease;
  }

  .swiper-button-next.sw_service_btn {
    right: 0;
    left: auto;
  }

  .swiper-button-prev.sw_service_btn {
    left: 0;
    right: auto;
  }

  .services-desc {
    padding: 2rem 1rem;
  }

  .services-video .video-item {
    flex-direction: column;
    gap:0;
    margin-bottom: 1rem;
  }

  .row-reverse.services-card:not(.hasVideos) {
    padding-top: 0;
  }

  .cooperation .content {
    grid-template-columns: repeat(2, 1fr);
  }

  .cooperation-item {
    justify-content: space-between;
    padding: 1rem;
    gap:1rem;
    aspect-ratio: 4/7;
  }

  .cooperation-item a {
    position: relative;
    transform: none;
    left:0;
    bottom:0;
  }
  

  .aside_btns {
    top: auto;
    bottom: 0;
    padding: .5rem;
    backdrop-filter: blur(4px);
    background-color: rgba(245, 245, 245, 0.616);
    gap: 0.5rem;
    width: 100%;
    flex-wrap: wrap;
    justify-content: center;
    flex-direction: row;
  }

  .aside_btns a {
    border-left: none;
    border-bottom: 4px solid #a89d9d5c;
    padding: 2px 5px;
    color: var(--pwGray2);
  }

  .aside_btns a.wh.active,
  .aside_btns a.bk.active {
    border-color: var(--pwGray);
    color: var(--pwGray);
    font-weight: 500;
  }

  section#brands {
    overflow: visible;
    margin: 5vh 0;
    padding: 1rem 0;
  }

  .grade-wrapper a:nth-child(even),
  .grade-wrapper a:nth-child(odd) {
    padding: 0;
  }

  .grade-wrapper {
    padding: 0 1rem;
  }

  .logos_container {
    width: 100%;
    padding: 0;
    padding-bottom: 3rem;
  }

  .logos_container img {
    width: 20vw;
  }

  .grades-more-btn {
    margin: 0rem auto;
    padding: .8rem 1rem;
  }

  .swiper-button-next.sw_logo_btn, 
  .swiper-button-prev.sw_logo_btn {
    right: auto;
    left: 1rem;
    top: auto;
    bottom: 1rem;
    padding: 6px;
  }

  .swiper-button-next.sw_logo_btn {
    left: 3.5rem;
  }

  #contact .container {
    flex-direction: column;
  }

  .contact .contact-head {
    flex-direction: row;
    align-items: flex-end;
    justify-content: center;
    gap:5px;
    max-width: initial;
  }

  .contact .contact-head h6 {
    margin-bottom: 5px;
  }
}

.custom-form-control {
  display: block;
  width: 100%;
  height: calc(2em + 1rem + 2px);
  padding: 1rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  background-color: var(--pwLightGray);
  background-clip: padding-box;
  border: none;
  border-radius: .5rem;
  transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
  margin-bottom: 1rem;
}

.custom-form-control::placeholder {
  color: #0000004D;
  font-weight:400;
}


#contact .form-group label {
  font-weight:500;
  color: #333333;
  font-size: 14px;
}


button.confirm-btn {
  color: white;
  font-weight: 400;
  background-color: var(--pwGray);
  gap:.5rem;
  border-radius: 2rem;
  font-size: 14px;
  padding: .5rem 1rem;
  display: flex;
  align-items: center;
  transition: all 0.3s ease;
  margin: auto;
}

button.confirm-btn:hover {
  color: white;
} 

/* fee-plan not used */
/* .fee-plan {
  background-color: #f3f3f3;
}

.fee-plan .card {
  border: none;
  background-color: transparent;
}

.fee-plan h2 {
  font-size: 2.5em;
}

.fee-plan h3 {
  color: #2d6d8e;
}

.fee-plan h4 {
  font-size: 1.2em;
  font-weight: 1000;
}

.fee-plan h6 {
  font-weight: 1000;
  color: #003cad;
}

.fee-plan p {
  color: #aaa;
}

.fee-plan .special {
  margin: 0 auto;
  max-width: 800px;
}

.fee-plan .special ol {
  margin: 0;
  padding: 0;
}

.fee-plan .special li {
  list-style: none;
  margin-bottom: 0.5em;
  color: #78a0b4;
} 

table.fee-table td {
  border-color: #999;
  text-align: center;
  background-color: #fff;
  padding: 5px;
  padding-top: 10px;
}

table.fee-table.en td {
  font-size: 0.8em;
}

table.fee-table td.heads {
  background-color: #98c5f1;
  color: #fff;
}

table.fee-table.en td.heads {
  font-size: 1em;
}

table.fee-table td b {
  font-weight: 1000;
  color: #003cad;
}

table.fee-table td ol {
  text-align: left;
  list-style: disc;
  padding-left: 1.5em;
} 
  
.table-back {
  background-color: #98c5f1;
}

.table-cell {
  border: solid 1px #999;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 0.5em 1em;
  background: #fff;
}

.table-head.table-cell {
  background-color: #98c5f1;
  color: #fff;
}

*/

/* old ui design with hover effect */
/* .grade-title {
  position: absolute;
  top: 0;
  left: 50%;
  white-space: nowrap;
  width: fit-content;
  transform: translate(-50%, -50%);
  background-color: rgb(120, 173, 249);
  color: #fff;
  border-radius: 5px;
}

.grade-title > span {
  display: block;
  margin: 5px 7px;
}

.grade-title > span.sm {
  font-size: 14px;
  font-weight: bold;
  letter-spacing: 1px;
} */

/* a.grade-div {
  position: relative;
  display: block;
  width: 80%;
  padding-top: 80%;
  margin: 0 auto;
  margin-top: 0.5em;
  margin-bottom: 1em;
  cursor: pointer;
}

a.grade-div:hover .grade-image {
  box-shadow: 0 5px 20px 0 rgba(31, 18, 7, 0.4);
}

.grade-image {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border-radius: 10px;
  overflow: hidden;
  transition: box-shadow 0.23s cubic-bezier(0, 0, 0.2, 1);
}

.grade-image > img {
  position: relative;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.grade-content {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
  overflow: hidden;
  background-color: rgba(0, 19, 144, 0.5);
  padding: 0 1em;
  opacity: 0;
  transform: scale(0.7);
  transition: opacity 0.23s cubic-bezier(0, 0, 0.2, 1),
    visibility 0.23s cubic-bezier(0, 0, 0.2, 1),
    transform 0.23s cubic-bezier(0, 0, 0.2, 1),
    -webkit-transform 0.23s cubic-bezier(0, 0, 0.2, 1);
}

a.grade-div:hover {
  text-decoration: none;
}

a.grade-div:hover .grade-content {
  opacity: 1;
  transform: scale(1);
}

.grade-name {
  color: #fff;
  text-align: center;
  font-weight: 1000;
}

.grade-content .detail-btn {
  display: -webkit-inline-flex;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-justify-content: space-evenly;
  -ms-flex-pack: justify;
  justify-content: space-evenly;
  position: relative;
  overflow: hidden;
  height: 44px;
  padding: 0 0 0 10px;
  line-height: 1.4;
  text-align: center;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
  outline: 0;
  text-decoration: none;
  pointer-events: auto;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;

  background-color: #fff;
  border-radius: 999px;
  width: 120px;

  transition: transform 0.23s cubic-bezier(0, 0, 0.2, 1),
    -webkit-transform 0.23s cubic-bezier(0, 0, 0.2, 1);
}

.grade-content .detail-btn::before {
  content: '';
  position: absolute;
  left: 15px;
  -webkit-transform: scale(0);
  -ms-transform: scale(0);
  transform: scale(0);
  transition: all 0.33s cubic-bezier(0.68, -0.55, 0.265, 1.55);
  opacity: 0;
  display: inline-block;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background-color: rgb(0, 19, 144);
}

.grade-content .detail-btn .btn-text {
  font-size: 0.8em;
  font-weight: 800;
  color: rgb(0, 19, 144);
  transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.grade-content .detail-btn .icon-arrow {
  display: inline-block;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background-color: rgb(0, 19, 144);

  position: relative;
  margin-right: 14px;
  transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.grade-content .detail-btn .icon-arrow::after {
  content: '';
  display: inline-block;
  width: 24px;
  height: 2px;
  background-color: inherit;
  position: absolute;
  left: 100%;
  top: 3px;
}

.grade-content .detail-btn:hover {
  -webkit-animation: icon-arrow-off 0.33s cubic-bezier(0, 0, 0.2, 1);
  animation: icon-arrow-off 0.33s cubic-bezier(0, 0, 0.2, 1);
}

.grade-content .detail-btn:hover::before {
  -webkit-transform: scale(1);
  -ms-transform: scale(1);
  transform: scale(1);
  opacity: 1;
}

.grade-content .detail-btn:hover .btn-text {
  -webkit-transform: translateX(12px);
  -ms-transform: translateX(12px);
  transform: translateX(12px);
}

.grade-content .detail-btn:hover .icon-arrow {
  -webkit-transform: translateX(30px) scale(0.8);
  -ms-transform: translateX(30px) scale(0.8);
  transform: translateX(30px) scale(0.8);
  opacity: 0;
}

a.grades-more-btn {
  background-color: #546284;
  padding: 0.5em 1em;
  border-radius: 1em;
  color: #fff;
  text-align: center;
  transition: 0.3s background-color;
}

a.grades-more-btn:hover {
  background-color: #1086c1;
  text-decoration: none;
} */